Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Six Stars

Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

Everytime , I am trying to open Talend 6.4 am getting the below error log . I have tried using jdk 1.7 it throwed jvm error so I am using jdk 1.8

 

 

Requesting you to please look into the issue and help me on the issue.

 

 

Error :

!SESSION 2019-02-15 13:33:28.765 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_60
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2019-02-15 13:33:37.837
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [406]
Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

at org.eclipse.osgi.container.Module.start(Module.java:434)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.runorg.eclipse.equinox.internal.app.EclipseAppContainer.getBranding(EclipseAppContainer.java:441)
at org.eclipse.equinox.internal.app.EclipseAppContainer.getDefaultAppId(EclipseAppContainer.java:412)
at org.eclipse.equinox.internal.app.EclipseAppContainer.createAppDescriptor(EclipseAppContainer.java:181)
at org.eclipse.equinox.internal.app.EclipseAppContainer.registerAppDescriptors(EclipseAppContainer.java:272)
at org.eclipse.equinox.internal.app.EclipseAppContainer.start(EclipseAppContainer.java:99)
at org.eclipse.equinox.internal.app.Activator.addingService(Activator.java:134)
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:941)
at org.osgi.util.tracker.ServiceTracker$Tracked.customizerAdding(ServiceTracker.java:1)

Thanks,

Gourav Dubey

 


Accepted Solutions
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

 

I was able to find the solution by my own the Eclipse Jar Folder was skipped while copying the file which caused this issue. I have copied them again manually and after that Talend finally worked fine.

 

Thanks & Regards,

Gourav Dubey

 
 
 
 

All Replies
Nine Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi ,

This Doesnt helps my issue remains the same.
Please help somone on this issue.

Thanks,
Gourav
Forteen Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

@gouravd_7 ,can you check have you properly uninstalled the previous java and installed the new one? please check below link.

 

https://community.talend.com/t5/Design-and-Development/resolved-Unable-to-Launch-Talend-Open-Studio-...

Manohar B
Don't forget to give kudos/accept the solution when a replay is helpful.
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

I did the check and removed all previous versions of Java currently , I only have Java 8 update 201 64 bit.

I am still getting the same error.

Thanks,
Gourav Dubey
Forteen Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

@gouravd_7 ,can you re-start the machine and try.

Manohar B
Don't forget to give kudos/accept the solution when a replay is helpful.
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Manohar,

I did the restart too but the issue remains the same.

See below sample which I got in log file today again.

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2019-02-18 12:22:42.479
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [406]
Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

Thanks,
Gourav
Forteen Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

@gouravd_7 ,uninstall the java and re-install ,your issue should wave off.

Manohar B
Don't forget to give kudos/accept the solution when a replay is helpful.
Employee

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Gourav,

 

    Please verify the following steps.

 

a) Java should be version 1.8 (Please reinstall if needed)

b) Java paths should be properly loaded to system environment variables

c) The JRE should be mapped to Talend correctly as below.

image.png

 

 

Warm Regards,
Nikhil Thampi

Please appreciate our Talend community members by giving Kudos for sharing their time for your query. If your query is answered, please mark the topic as resolved :-)


Warm Regards,
Nikhil Thampi
Please appreciate our members by giving Kudos for spending their time for your query. If your query is answered, please mark the topic as resolved :-)
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team, I was using Java 8 upate 201 64 bit earlier but as it was not helping my issue to resolve so ,  I unistalled it and installed Java 7 update 65 64 bit still was getting exit code 2 error which was because the version was not compatible then again I uninstalled it and installed the Java 8 update 81 but still am getting the same error again.

 

Please find my attached screenshot of Environment variables.

 

Please let me know incase , I have missed something.

 

Thanks & Regards,

Gourav Dubey

Employee

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Gourav,

 

     I might be missing something here. So could you please raise a support ticket for the issue so that they can remotely check your issue through Webex? It might help in quicker resolution in your case.

 

Warm Regards,
Nikhil Thampi

Please appreciate our Talend community members by giving Kudos for sharing their time for your query. If your query is answered, please mark the topic as resolved :-)


Warm Regards,
Nikhil Thampi
Please appreciate our members by giving Kudos for spending their time for your query. If your query is answered, please mark the topic as resolved :-)
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

Can I have the support ticket request link .
Sorry dont have i.

Thanks,
Gourav
Employee

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Gourav,

 

    If you are using the subscription product of Talend, you can use the below link to raise the ticket.

 

https://login.talend.com/support-login.php

 

Warm Regards,
Nikhil Thampi

Please appreciate our Talend community members by giving Kudos for sharing their time for your query. If your query is answered, please mark the topic as resolved :-)


Warm Regards,
Nikhil Thampi
Please appreciate our members by giving Kudos for spending their time for your query. If your query is answered, please mark the topic as resolved :-)
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

I have Talend 6.5 installed in my system will that be a problem ?

Can , I run two versions in my system ?

Thanks,
Gourav

Forteen Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

@gouravd_7 ,yes You can have.

Manohar B
Don't forget to give kudos/accept the solution when a replay is helpful.
Six Stars

Re: Everytime am trying to open Talend 6.4 getting error !MESSAGE FrameworkEvent ERROR !STACK 0

Hi Team,

 

I was able to find the solution by my own the Eclipse Jar Folder was skipped while copying the file which caused this issue. I have copied them again manually and after that Talend finally worked fine.

 

Thanks & Regards,

Gourav Dubey

 
 
 
 

What’s New for Talend Spring ’19

Watch the recorded webinar!

Watch Now

Agile Data lakes & Analytics

Accelerate your data lake projects with an agile approach

Watch

Definitive Guide to Data Quality

Create systems and workflow to manage clean data ingestion and data transformation.

Download

Tutorial

Introduction to Talend Open Studio for Data Integration.

Watch